Shipping Configuration (carrier)
Endpoints to read and update the shipping configuration.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves the tenant-wide shipping configuration. A default configuration is created automatically on first access.
Successfully retrieved the shipping configuration.
ShippingConfiguration
Creation date of this shippingConfiguration
2020-02-03T09:45:51.525ZUnique identifier of this shippingConfiguration
019f943c-687a-78cd-8d00-54323281eb27Last modification date of this shippingConfiguration
2020-02-03T09:45:51.525ZVersion number of this shippingConfiguration
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/configurations/shipping HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2020-02-03T09:45:51.525Z",
"id": "019f943c-687a-78cd-8d00-54323281eb27",
"lastModified": "2020-02-03T09:45:51.525Z",
"recommendationConfiguration": {
"priceType": "customs"
},
"version": 1
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Creates or updates the tenant-wide shipping configuration. The version must match the currently persisted version.
ShippingConfigurationForUpdate
Version number of this shippingConfiguration
1Successfully created or updated the shipping configuration.
ShippingConfiguration
Creation date of this shippingConfiguration
2020-02-03T09:45:51.525ZUnique identifier of this shippingConfiguration
019f943c-687a-78cd-8d00-54323281eb27Last modification date of this shippingConfiguration
2020-02-03T09:45:51.525ZVersion number of this shippingConfiguration
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PATCH /api/configurations/shipping HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67
{
"recommendationConfiguration": {
"priceType": "customs"
},
"version": 1
}{
"created": "2020-02-03T09:45:51.525Z",
"id": "019f943c-687a-78cd-8d00-54323281eb27",
"lastModified": "2020-02-03T09:45:51.525Z",
"recommendationConfiguration": {
"priceType": "customs"
},
"version": 1
}Last updated
Was this helpful?

